[ARVADOS] updated: 1.3.0-1122-ge6cbad316
Git user
git at public.curoverse.com
Tue Jun 18 20:38:28 UTC 2019
Summary of changes:
build/run-tests.sh | 25 +++++++++++++++----------
1 file changed, 15 insertions(+), 10 deletions(-)
via e6cbad31630130771f9c4b746763ddc832b025eb (commit)
from 773ed2244fec38f47ce82607c6df70d4c99a4f82 (commit)
Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.
commit e6cbad31630130771f9c4b746763ddc832b025eb
Author: Tom Clegg <tclegg at veritasgenetics.com>
Date: Tue Jun 18 16:37:46 2019 -0400
Tidy up error checks in govendor test.
No issue #
Arvados-DCO-1.1-Signed-off-by: Tom Clegg <tclegg at veritasgenetics.com>
diff --git a/build/run-tests.sh b/build/run-tests.sh
index 9ccfe9268..97c21b405 100755
--- a/build/run-tests.sh
+++ b/build/run-tests.sh
@@ -1053,19 +1053,24 @@ test_gofmt() {
}
test_govendor() {
- cd "$GOPATH/src/git.curoverse.com/arvados.git" || return 1
- # Remove cached source dirs in workdir. Otherwise, they will
- # not qualify as +missing or +external below, and we won't be
- # able to detect that they're missing from vendor/vendor.json.
- rm -rf vendor/*/
- go get -v -d ...
- "$GOPATH/bin/govendor" sync
- [[ -z $("$GOPATH/bin/govendor" list +unused +missing +external | tee /dev/stderr) ]] \
- || fatal "vendor/vendor.json has unused or missing dependencies -- try:
+ (
+ set -e
+ cd "$GOPATH/src/git.curoverse.com/arvados.git"
+ # Remove cached source dirs in workdir. Otherwise, they will
+ # not qualify as +missing or +external below, and we won't be
+ # able to detect that they're missing from vendor/vendor.json.
+ rm -rf vendor/*/
+ go get -v -d ...
+ "$GOPATH/bin/govendor" sync
+ if [[ -n $("$GOPATH/bin/govendor" list +unused +missing +external | tee /dev/stderr) ]]; then
+ echo >&2 "vendor/vendor.json has unused or missing dependencies -- try:
(export GOPATH=\"${GOPATH}\"; cd \$GOPATH/src/git.curoverse.com/arvados.git && \$GOPATH/bin/govendor add +missing +external && \$GOPATH/bin/govendor remove +unused)
-";
+"
+ return 1
+ fi
+ )
}
test_services/api() {
-----------------------------------------------------------------------
hooks/post-receive
--
More information about the arvados-commits
mailing list